package com.yeejoin.amos.boot.module.jxiop.api.dto;

import com.fasterxml.jackson.annotation.JsonIgnore;

/**
 * @author keyong
 * @title: BaseCondition
 * <pre>
 * @description: TODO
 * </pre>
 * @date 2024/2/20 18:06
 */
public class BaseCondition {

    private String field;

    private Operate operator;

    private Object value;

    @JsonIgnore
    private String sqlOp;

    public String getField() {
        return this.field;
    }

    public void setField(String field) {
        this.field = field;
    }

    public Operate getOperator() {
        return this.operator;
    }

    public void setOperator(Operate operator) {
        this.operator = operator;
    }

    public Object getValue() {
        return this.value;
    }

    public void setValue(Object value) {
        this.value = value;
    }

    public String getSqlOp() {
        return this.operator.getSqlOp();
    }

    public void setSqlOp(String sqlOp) {
        this.sqlOp = sqlOp;
    }
}
